<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

/**
 * Class Player
 *
 * @package App\Models
 * @version September 27, 2021, 5:24 pm WAT
 * @property string $nom
 * @property string $prenom
 * @property string $quartier
 * @property integer $telephone
 * @property string $montant_depense
 * @property string $status_user
 * @property string $tombola_num
 * @property int $id
 * @method static \Database\Factories\PlayerFactory factory(...$parameters)
 * @method static \Illuminate\Database\Eloquent\Builder|Player newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Player newQuery()
 * @method static \Illuminate\Database\Query\Builder|Player onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder|Player query()
 * @method static \Illuminate\Database\Eloquent\Builder|Player whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Player whereMontantDepense($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Player whereNom($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Player wherePrenom($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Player whereQuartier($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Player whereStatusUser($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Player whereTelephone($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Player whereTombolaNum($value)
 * @method static \Illuminate\Database\Query\Builder|Player withTrashed()
 * @method static \Illuminate\Database\Query\Builder|Player withoutTrashed()
 * @mixin Model
 */
class Player extends Model
{
    use HasFactory;

    public $table = 'players';

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';




    public $fillable = [
        'nom',
        'prenom',
        'quartier',
        'telephone',
        'montant_depense',
        'status_user',
        'tombola_num'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'nom' => 'string',
        'prenom' => 'string',
        'quartier' => 'string',
        'telephone' => 'integer',
        'montant_depense' => 'string',
        'status_user' => 'string',
        'tombola_num' => 'string'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'nom' => 'required|string|max:255',
        'prenom' => 'required|string|max:255',
        'quartier' => 'required|string|max:255',
        'telephone' => 'required|integer',
        'montant_depense' => 'required|string',
        'status_user' => 'required|string',
        'tombola_num' => 'required|string|max:255'
    ];


}
