<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

/**
 * Class SendSmsCmr
 *
 * @package App\Models
 * @version October 1, 2021, 2:52 pm WAT
 * @property string $phonenumber
 * @property string $message
 * @property string|\Carbon\Carbon $createdAt
 * @property string|\Carbon\Carbon $updateAt
 * @property boolean $isSuccess
 * @property integer $nbtries
 * @property int $id
 * @method static \Database\Factories\SendSmsCmrFactory factory(...$parameters)
 * @method static \Illuminate\Database\Eloquent\Builder|SendSmsCmr newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|SendSmsCmr newQuery()
 * @method static \Illuminate\Database\Query\Builder|SendSmsCmr onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder|SendSmsCmr query()
 * @method static \Illuminate\Database\Eloquent\Builder|SendSmsCmr whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SendSmsCmr whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SendSmsCmr whereIsSuccess($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SendSmsCmr whereMessage($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SendSmsCmr whereNbtries($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SendSmsCmr wherePhonenumber($value)
 * @method static \Illuminate\Database\Eloquent\Builder|SendSmsCmr whereUpdateAt($value)
 * @method static \Illuminate\Database\Query\Builder|SendSmsCmr withTrashed()
 * @method static \Illuminate\Database\Query\Builder|SendSmsCmr withoutTrashed()
 * @mixin Model
 */
class SendSmsCmr extends Model
{
    use HasFactory;

    public $table = 'sms_send_cmr';

    const CREATED_AT = 'createdAt';
    const UPDATED_AT = 'updateAt';





    public $fillable = [
        'phonenumber',
        'message',
        'isSuccess',
        'nbtries'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'phonenumber' => 'string',
        'message' => 'string',
        'isSuccess' => 'boolean',
        'nbtries' => 'integer'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'phonenumber' => 'nullable|string|max:20',
        'message' => 'nullable|string',
        'isSuccess' => 'nullable|boolean',
        'nbtries' => 'nullable|integer'
    ];


}
